﻿namespace WpfApp1
{
    using System;
    using System.Windows;
    using System.Windows.Media;
    using System.Windows.Media.Imaging;
    using Syncfusion.Windows.Tools.Controls;
    using System.Windows.Resources;

    public partial class MainWindow : Window
    {
        private TestControl testWindow;
        public MainWindow()
        {
            InitializeComponent();
            testWindow = null;
        }

        private void TestButtonClick(object sender, RoutedEventArgs e)
        {
            this.testWindow = new TestControl();
            CreateNewDockWindow(this.testWindow, "Test", "test.png", DockSide.Bottom);
        }

        private Brush CreateImageBrush(string imageName)
        {
            ImageBrush brush = new ImageBrush();
            BitmapImage bi = new BitmapImage();
            StreamResourceInfo sri = System.Windows.Application.GetResourceStream(new Uri(imageName, UriKind.RelativeOrAbsolute));
            bi.BeginInit();
            bi.StreamSource = sri.Stream;
            bi.EndInit();
            brush.ImageSource = bi;
            return brush;
        }

        private void CreateNewDockWindow(System.Windows.Controls.ContentControl window, string headerText, string imageName, DockSide side)
        {
            this.dockingManager.BeginInit();
            this.dockingManager.Children.Add(window);
            DockingManager.SetState(window, DockState.Dock);
            DockingManager.SetSide(window, side, DockState.Dock);
            DockingManager.SetHeader(window, headerText);
            DockingManager.SetIcon(window, this.CreateImageBrush(imageName));
            this.dockingManager.EndInit();
        }
    }
}
